Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.insurability.core.v1
Class CareReceiverType

    java.lang.Object
      be.fgov.ehealth.insurability.core.v1.CareReceiverType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:54:03+02:00",
               comments="JAXB RI v2.2.11")
    public class CareReceiverType

extends Object
implements Serializable

The "root"-type of the CareReceiverType element.

Java class for CareReceiverType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CareReceiverType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Ssin" type="{urn:be:fgov:ehealth:commons:core:v1}SsinType" minOccurs="0"/>
             <element name="RegNrWithMut" type="{urn:be:fgov:ehealth:insurability:core:v1}RegNrWithMutType" minOccurs="0"/>
             <element name="Mutuality" type="{urn:be:fgov:ehealth:insurability:core:v1}MutualityType" minOccurs="0"/>
             <element name="FirstName" type="{urn:be:fgov:ehealth:insurability:core:v1}FirstNameType" minOccurs="0"/>
             <element name="LastName" type="{urn:be:fgov:ehealth:insurability:core:v1}LastNameType" minOccurs="0"/>
             <element name="Birthday" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Deceased" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Sex" type="{urn:be:fgov:ehealth:insurability:core:v1}SexType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CareReceiverType()`

Method Summary
`org.joda.time.DateTime` | `getBirthday()` Gets the value of the birthday property.
`org.joda.time.DateTime` | `getDeceased()` Gets the value of the deceased property.
`String` | `getFirstName()` Gets the value of the firstName property.
`String` | `getLastName()` Gets the value of the lastName property.
`String` | `getMutuality()` Gets the value of the mutuality property.
`String` | `getRegNrWithMut()` Gets the value of the regNrWithMut property.
`SexType` | `getSex()` Gets the value of the sex property.
`String` | `getSsin()` Gets the value of the ssin property.
`void` | `setBirthday(org.joda.time.DateTime value)` Sets the value of the birthday property.
`void` | `setDeceased(org.joda.time.DateTime value)` Sets the value of the deceased property.
`void` | `setFirstName(String value)` Sets the value of the firstName property.
`void` | `setLastName(String value)` Sets the value of the lastName property.
`void` | `setMutuality(String value)` Sets the value of the mutuality property.
`void` | `setRegNrWithMut(String value)` Sets the value of the regNrWithMut property.
`void` | `setSex(SexType value)` Sets the value of the sex property.
`void` | `setSsin(String value)` Sets the value of the ssin property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CareReceiverType

    public CareReceiverType()

Method Detail

### getSsin

    public String getSsin()

  Gets the value of the ssin property.

  Returns:
    possible object is `String`

### setSsin

    public void setSsin(String value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `String`

### getRegNrWithMut

    public String getRegNrWithMut()

  Gets the value of the regNrWithMut property.

  Returns:
    possible object is `String`

### setRegNrWithMut

    public void setRegNrWithMut(String value)

  Sets the value of the regNrWithMut property.

  Parameters:
    `value` - allowed object is `String`

### getMutuality

    public String getMutuality()

  Gets the value of the mutuality property.

  Returns:
    possible object is `String`

### setMutuality

    public void setMutuality(String value)

  Sets the value of the mutuality property.

  Parameters:
    `value` - allowed object is `String`

### getFirstName

    public String getFirstName()

  Gets the value of the firstName property.

  Returns:
    possible object is `String`

### setFirstName

    public void setFirstName(String value)

  Sets the value of the firstName property.

  Parameters:
    `value` - allowed object is `String`

### getLastName

    public String getLastName()

  Gets the value of the lastName property.

  Returns:
    possible object is `String`

### setLastName

    public void setLastName(String value)

  Sets the value of the lastName property.

  Parameters:
    `value` - allowed object is `String`

### getBirthday

    public org.joda.time.DateTime getBirthday()

  Gets the value of the birthday property.

  Returns:
    possible object is `String`

### setBirthday

    public void setBirthday(org.joda.time.DateTime value)

  Sets the value of the birthday property.

  Parameters:
    `value` - allowed object is `String`

### getDeceased

    public org.joda.time.DateTime getDeceased()

  Gets the value of the deceased property.

  Returns:
    possible object is `String`

### setDeceased

    public void setDeceased(org.joda.time.DateTime value)

  Sets the value of the deceased property.

  Parameters:
    `value` - allowed object is `String`

### getSex

    public SexType getSex()

  Gets the value of the sex property.

  Returns:
    possible object is `SexType`

### setSex

    public void setSex(SexType value)

  Sets the value of the sex property.

  Parameters:
    `value` - allowed object is `SexType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.